diff --git a/app/Tygh/Development.php b/app/Tygh/Development.php
index 3d6ab8fc0ca..69f4505ed6c 100644
--- a/app/Tygh/Development.php
+++ b/app/Tygh/Development.php
@@ -128,7 +128,9 @@ public static function showStub($placeholders = array(), $append = '', $is_error
          * @param string $content      Template content
          * @param bool   $is_error     Whether an error occured
          */
-        fn_set_hook('development_show_stub', $placeholders, $append, $content, $is_error);
+        if (function_exists('fn_set_hook')) {
+            fn_set_hook('development_show_stub', $placeholders, $append, $content, $is_error);
+        }
 
         echo strtr($content, $placeholders);
 
diff --git a/app/Tygh/Tools/ErrorHandler.php b/app/Tygh/Tools/ErrorHandler.php
index f1f554def97..ea64f81b141 100644
--- a/app/Tygh/Tools/ErrorHandler.php
+++ b/app/Tygh/Tools/ErrorHandler.php
@@ -142,7 +142,9 @@ public static function handleException($exception)
          *
          * @param Throwable $exception The un-caught exception to be handled.
          */
-        fn_set_hook('error_handler_handle_exception', $exception);
+        if (function_exists('fn_set_hook')) {
+            fn_set_hook('error_handler_handle_exception', $exception);
+        }
 
         self::logException($exception);
         self::showErrorMessage($exception);
